Bug 19970 - Revise change of bug 19413 to work better for translations
Summary: Revise change of bug 19413 to work better for translations
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19413
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-13 08:22 UTC by Katrin Fischer
Modified: 2018-06-18 12:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
screenshot de-DE (183.25 KB, image/png)
2018-01-13 08:22 UTC, Katrin Fischer
Details
Bug 19970: Revise change of bug 19413 to work better for translations (2.71 KB, patch)
2018-05-31 15:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19970: Revise change of bug 19413 to work better for translations (2.81 KB, patch)
2018-06-08 19:45 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 19970: Revise change of bug 19413 to work better for translations (2.89 KB, patch)
2018-06-14 19:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19970: (17.05.x) Revise change of bug 19413 to work better for translations (2.92 KB, patch)
2018-06-18 11:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19970: (17.11.x) Revise change of bug 19413 to work better for translations (2.85 KB, patch)
2018-06-18 12:06 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-01-13 08:22:03 UTC
Created attachment 70481 [details]
screenshot de-DE

Bug 19413 moved the buttons in the cataloguing plugins to the top, this doesn't work well for translations where the terms 'cancel' and 'ok' can be longer.
Comment 1 Owen Leonard 2018-05-31 15:45:24 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2018-06-08 19:45:59 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2018-06-14 19:54:55 UTC
Created attachment 76070 [details] [review]
Bug 19970: Revise change of bug 19413 to work better for translations

This patch changes how the submit and cancel buttons appear in the MARC
008 plugin window. The controls are now displayed as buttons in a
floating toolbar.

To test you must have MARC tag 008 configured to use the
marc21_field_008.pl plugin.

- Apply the patch and open an existing or blank record in cataloging.
- Click the plugin link next to tag 008 to trigger the popup window.
- Confirm that "Save" and "Cancel" appear correctly in a toolbar.
- Scroll down the page to confirm that the toolbar "sticks" to the top
  of the window.
- Confirm that the "Save" and "Cancel" buttons work correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and the patch works.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2018-06-14 19:55:50 UTC
I guess it would be useful to have the result floating as well (?)
Comment 5 Nick Clemens 2018-06-15 10:44:05 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-06-15 12:12:00 UTC
Pushed to 18.05.x for 18.05.01
Comment 7 Fridolin SOMERS 2018-06-18 06:58:31 UTC
Hi, I'm not sure how to apply on 17.11.x since it does not have Asset TT plugin (Bug 20538).
Can you provide a rebased patch ?
Comment 8 Owen Leonard 2018-06-18 11:59:23 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2018-06-18 12:06:41 UTC
Created attachment 76119 [details] [review]
Bug 19970: (17.11.x) Revise change of bug 19413 to work better for translations

This patch changes how the submit and cancel buttons appear in the MARC
008 plugin window. The controls are now displayed as buttons in a
floating toolbar.

To test you must have MARC tag 008 configured to use the
marc21_field_008.pl plugin.

- Apply the patch and open an existing or blank record in cataloging.
- Click the plugin link next to tag 008 to trigger the popup window.
- Confirm that "Save" and "Cancel" appear correctly in a toolbar.
- Scroll down the page to confirm that the toolbar "sticks" to the top
  of the window.
- Confirm that the "Save" and "Cancel" buttons work correctly.
Comment 10 Fridolin SOMERS 2018-06-18 12:13:01 UTC
Pushed to 17.11.x for 17.11.07